"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AxiosConfiguration = void 0;
const core_1 = require("@midwayjs/core");
const config_default_1 = require("./config.default");
const http_service_factory_1 = require("./http-service.factory");
let AxiosConfiguration = class AxiosConfiguration {
    async onReady(container) {
        await container.getAsync(http_service_factory_1.HttpServiceFactory);
    }
};
AxiosConfiguration = __decorate([
    (0, core_1.Configuration)({
        namespace: 'axios',
        importConfigs: [
            {
                default: config_default_1.default,
            },
        ],
        importConfigFilter: config => {
            if (config['axios']) {
                // 解决循环引用
                if (config['axios']['clients'] || config['axios']['default']) {
                    return config;
                }
                // 兼容older
                if (!config['axios']['clients'] || !config['axios']['client']) {
                    config['axios'] = {
                        default: {},
                        clients: {
                            default: config['axios'],
                        },
                    };
                }
            }
            return config;
        },
    })
], AxiosConfiguration);
exports.AxiosConfiguration = AxiosConfiguration;
//# sourceMappingURL=configuration.js.map