"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpService = void 0;
const core_1 = require("@midwayjs/core");
const http_service_factory_1 = require("./http-service.factory");
let HttpService = class HttpService {
    async init() {
        const clientName = this.serviceFactory.getDefaultClientName() || 'default';
        this.instance = this.serviceFactory.get(clientName);
        if (!this.instance) {
            throw new core_1.MidwayCommonError('axios default instance not found.');
        }
    }
    get defaults() {
        return this.instance.defaults;
    }
    get interceptors() {
        return this.instance.interceptors;
    }
    getUri(config) {
        return this.instance.getUri(config);
    }
    request(config) {
        return this.instance.request(config);
    }
    get(url, config) {
        return this.instance.get(url, config);
    }
    delete(url, config) {
        return this.instance.delete(url, config);
    }
    head(url, config) {
        return this.instance.head(url, config);
    }
    options(url, config) {
        return this.instance.options(url, config);
    }
    post(url, data, config) {
        return this.instance.post(url, data, config);
    }
    put(url, data, config) {
        return this.instance.put(url, data, config);
    }
    patch(url, data, config) {
        return this.instance.patch(url, data, config);
    }
    postForm(url, data, config) {
        return this.instance.postForm(url, data, config);
    }
    putForm(url, data, config) {
        return this.instance.putForm(url, data, config);
    }
    patchForm(url, data, config) {
        return this.instance.patchForm(url, data, config);
    }
};
__decorate([
    (0, core_1.Inject)(),
    __metadata("design:type", http_service_factory_1.HttpServiceFactory)
], HttpService.prototype, "serviceFactory", void 0);
__decorate([
    (0, core_1.Init)(),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], HttpService.prototype, "init", null);
HttpService = __decorate([
    (0, core_1.Provide)(),
    (0, core_1.Scope)(core_1.ScopeEnum.Singleton)
], HttpService);
exports.HttpService = HttpService;
//# sourceMappingURL=http-service.js.map